#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.3
visibility:           public
id:                   persistent-test-2.13.1.3-Id7kVgTa6fAHpaRuL1t9ss
key:                  persistent-test-2.13.1.3-Id7kVgTa6fAHpaRuL1t9ss
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  bb79b221c741661c85aa8fd9ea678758
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest TypeLitFieldDefsTest
    UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.3-Id7kVgTa6fAHpaRuL1t9ss
depends:
    HUnit-1.6.2.0-8V4cpd2vyM7I9OG8MrEdHy
    QuickCheck-2.14.3-GYIzHRC98oX2ojVETG14rD
    aeson-2.1.2.1-LOsc8VZqmR4FTSS4ItJTX9 base-4.16.4.0
    blaze-html-0.9.2.0-GaSrKu6gylZIYHIkWm02Ci bytestring-0.11.4.0
    conduit-1.3.6.1-HO5zjhEeUfE6auWqLrKi5s containers-0.6.5.1
    exceptions-0.10.4 hspec-2.10.9-2HouNAiIj1PITcxkYqIPMi
    hspec-expectations-0.8.3-1zJ9Bt2UKIO1izJ8suxZW5
    http-api-data-0.5.1-4DfXQSzgcPlH3OkVN374so
    monad-control-1.0.3.1-J6JgsySNufR1aBAHpQ3Eh2
    monad-logger-0.3.41-HSwQtRwPogKYjN6LhNFc4 mtl-2.2.2
    path-pieces-0.2.1-E15XfVOwfTfIr2VliI4YGA
    persistent-2.14.5.1-G3JVxQeqyjcA4ETXMWBmyZ
    quickcheck-instances-0.3.30-4bvDlmy6u33LUTTOLIxILQ
    random-1.2.1.2-F9rVStWFtZE3PBeMKQuK89
    resourcet-1.2.6-7XRvu1GZSDsLOgaXXocelp text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 transformers-base-0.4.6-ABNpRFPMzKw54ilqxg2n9F
    unliftio-0.2.25.1-8L6BiCnh80y1RfJtEqTngb
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-DtI6Ump4gwL4XOoZ2vYwmp

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

